Subject: Re: bug#24071: [PATCH] Refactor regex character class parsing in [:name:]

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Jul 2016 08:53:28 +0300

> From: Dima Kogan <[email-masked]>
> Cc: Michal Nazarewicz <[email-masked]>, [email-masked]
> Date: Thu, 28 Jul 2016 22:31:48 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If we are going to make some serious refactoring in regex.c, I think
> > we should start with having a test suite for it.  The
> > dima_regex_embedded_modifiers branch, created by Dima Kogan (CC'ed) in
> > the Emacs repository includes a suite taken from glibc.  Dima, could
> > you perhaps merge the parts of the test suite that can already be used
> > to the master branch, so that we could use them to verify changes in
> > regex.c?
> 
> Hi. I just saw this. Do you still need me to get these merged?

No, I think Michal already did that, although the stiff is not yet on
the master branch.

Thanks.